วิธีแก้ SuPHP บน Kloxo 6.1.12 ไม่ Work ขึ้น Internal Server Error 500

mrgill   | September 22, 2012   |   501 Views

เรื่องโดยสรุปของปัญหานี้ก็มีอยู่ว่า SuPHP ของ Kloxo มันยังไม่สเถียรนั้นเองครับ วิธีแก้ไขเบื้องต้นตอนนี้ก็ทำได้โดย Downgrade version ของ PHP ลงมา
ขั้นตอน
1. ssh ไปยัง server ของคุณ
2. ใช้คำสั่ง

yum list php

ถ้ามันบอกมาว่าเป็นเวอร์ชัน php.i386(x86_64) 5.2.17-13 แสดงว่าคุณติดตั้ง patch ล่าสุด(แต่ไม่ work)แล้ว และนี่ก็เป็นสาเหตุทำให้เกิด error ดังกล่าวต้อง Downgrade มันลงมาซะ
3. ใช้คำสั่งนี้เพื่อ Downgrade ได้เลยครับ

yum downgrade php* --disablerepo=* --enablerepo=lxcenter-updates

4. ทีนี้ก็ลองกลับไปเลือก mode php ให้เป็น suphp ดูครับ แล้วก็อย่าเผลอสั่ง yum update อีกละ
ถ้าจะ update ระบบให้สั่ง yum upgrade เป็นราย package ไปแทนครับ
จบ

แหล่งข้อมูล : http://www.dewesh.com/server-management/how-to-get-suphp-working-on-kloxo-6-1-12/

Share/Save

Comments

comments

Powered by Facebook Comments

Category : Daily tips,Linux,Security,Server

วิธี Set NTP Client บน Brocade SAN Switch ให้การติดตั้ง Dependency Library เป็นเรื่องง่ายๆ ด้วย yum whatprovides


Recent Entries

Random Posts

Social Network

Tag Cloud

Calendar

September 2012
S M T W T F S
« Aug   Nov »
 1
2345678
9101112131415
16171819202122
23242526272829
30  

Twitter: imrgill

RSS LinuxToday

RSS HowToForge

RSS UbuntuClub

RSS Blognone

RSS PowerWindowsBlog

Tag

Categories

Archives

Blogroll